{ pkgs, lib, config, ... }:

with lib;

mkIf (elem "fonts" config.machine.conffiles) {
  fonts = {
    enableFontDir = true;
    enableGhostscriptFonts = true;
    fontconfig = {
      enable = true;
      # deprecated (will eventually be completely removed)
      # ultimate.enable = true;
      includeUserConf = false;
    };
    fonts = with pkgs; [
      arphic-ukai
      arphic-uming
      corefonts # Microsoft free fonts
      dejavu_fonts
      font-awesome-ttf
      inconsolata # monospaced
      noto-fonts
      noto-fonts-cjk
      noto-fonts-emoji
      noto-fonts-extra
      powerline-fonts
      source-han-sans-japanese
      source-han-sans-korean
      source-han-sans-simplified-chinese
      source-han-sans-traditional-chinese
#      source-sans-pro
      symbola
      ubuntu_font_family
      wqy_microhei
      wqy_zenhei
    ];
  };
}
