# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ config, lib, pkgs, ... }:

{
  imports =
    [ <nixpkgs/nixos/modules/installer/scan/not-detected.nix>
    ];

  boot = {
    loader = {
      systemd-boot.enable = true;
      efi.canTouchEfiVariables = true;
    };
    cleanTmpDir = true;
    initrd.availableKernelModules = [ "ahci" "ohci_pci" "ehci_pci" "xhci_pci" "usbhid" "sd_mod" "sr_mod" ];
    kernelModules = [ "kvm-amd" ];
  };

  fileSystems."/" =
    { device = "/dev/disk/by-uuid/2f9455e9-ec8a-481e-9d5c-222eebab5e2d";
      fsType = "ext4";
    };

  fileSystems."/boot" =
    { device = "/dev/disk/by-uuid/DB3A-4C49";
      fsType = "vfat";
    };

  nix.maxJobs = lib.mkDefault 6;

  hardware = {
    firmware = with pkgs; [ firmwareLinuxNonfree ];
    enableAllFirmware = true;
    ksm.enable = true;
    opengl = {
      driSupport = true;
      extraPackages = with pkgs; [ libvdpau-va-gl vaapiVdpau ];
      driSupport32Bit = true;
      extraPackages32 = with pkgs.pkgsi686Linux; [ libvdpau-va-gl vaapiVdpau ];
    };

    pulseaudio = {
      enable = true;
      support32Bit = true;
      package = pkgs.pulseaudioFull;
      zeroconf.discovery.enable = false;
      extraClientConf = ''
        autospawn = no
      '';
    };

    bluetooth = {
      enable = true;
      powerOnBoot = true;
    };
  };

  powerManagement = {
    enable = true;
    cpuFreqGovernor = "powersave";
  };
  services.upower.enable = true;
  services.xserver.videoDrivers = [ "nvidia" ];
  time.timeZone = "Europe/Berlin";
}
