{ lib, ... }:

with lib;

{
  imports = [
    ../../options/machine.nix
    ../../options/copySysConf.nix
  ];

  config.machine = {
    allowUnfree = true;
    hostName = "Behemoth";
    administrators = [ { name = "derped"; id = 1337; } ];
    conffiles = [
      "etcfiles"
      "etcvars"
      "fonts"
      "zsh"
    ];
    pkgs = [
      "base"
      "dict"
      "emacs"
      "extra"
      "cpp"
      "haskell"
      "mail_utils"
      "python3"
      "rustpkgs"
      "xpkgs"
    ];
    services = [
      "desktop"
      "udev"
      "cups"
    ];
    firewall = {
      enable = true;
      allowPing = true;
      allowedUDPPortRanges = [ { from = 1714; to = 1764; } ];
      allowedTCPPortRanges = [ { from = 1714; to = 1764; } ];
    };
    desktop.wms = [ "i3" ];
  };

  config.system.copySysConf = {
    enable = false;
    addToNixPath = false;
  };
}
