{ config, lib, pkgs, ... }:

with lib;

mkIf (elem "emacs::doom-modeline" config.machine.pkgs) {
  programs.emacs.init.usePackage.doom-modeline = {
    enable = true;
    hook = [ "(after-init . doom-modeline-mode)" ];
    config = ''
      (setq doom-modeline-icon t)
      (setq doom-modeline-height 25)
      (setq doom-modeline-bar-width 3)
      ;; The default priority of detection is `ffip' > `projectile' > `project'.
      (setq doom-modeline-project-detection 'project)
      (setq doom-modeline-buffer-file-name-style 'truncate-upto-project)
      (setq doom-modeline-unicode-fallback nil)

      (setq doom-modeline--battery-status t)
'';
  };
}
